%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-pypdf
Version:       5.4.0
Release:       1mamba
Summary:       PDF toolkit
Group:         System/Libraries/Python
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.org/project/pypdf/
Source:        https://pypi.debian.net/pypdf/pypdf-%{version}.tar.gz
Patch:         python-pypdf-1.12-git20100718.patch
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildArch:     noarch

%description
A Pure-Python library built as a PDF toolkit.

It is capable of:
* extracting document information (title, author, ...),
* splitting documents page by page,
* merging documents page by page,
* cropping pages,
* merging multiple pages into a single page,
* encrypting and decrypting PDF files.

%if 0%{?with_pyver}
%if "%{?with_pyver}" == "3"
%define py_requires_append \
Provides:      python-pyPdf \
Obsoletes:     python-pyPdf < 3.2.1 \
Provides:      python-pypdf \
Obsoletes:     python-pypdf < 3.2.1
%endif
%pyver_package
%endif

%prep
%setup -q -n pypdf-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/%{pkgname}
%{python_sitelib}/%{pkgname}/*

%changelog
* Mon Mar 17 2025 Automatic Build System <autodist@openmamba.org> 5.4.0-1mamba
- automatic version update by autodist

* Sun Mar 02 2025 Automatic Build System <autodist@openmamba.org> 5.3.1-1mamba
- automatic version update by autodist

* Mon Feb 10 2025 Automatic Build System <autodist@openmamba.org> 5.3.0-1mamba
- automatic version update by autodist

* Sun Jan 26 2025 Automatic Build System <autodist@openmamba.org> 5.2.0-1mamba
- automatic version update by autodist

* Mon Oct 28 2024 Automatic Build System <autodist@openmamba.org> 5.1.0-1mamba
- automatic version update by autodist

* Sun Sep 29 2024 Automatic Build System <autodist@openmamba.org> 5.0.1-1mamba
- automatic version update by autodist

* Wed Sep 18 2024 Automatic Build System <autodist@openmamba.org> 5.0.0-1mamba
- automatic version update by autodist

* Mon Jul 22 2024 Automatic Build System <autodist@openmamba.org> 4.3.1-1mamba
- automatic version update by autodist

* Tue Jul 16 2024 Automatic Build System <autodist@openmamba.org> 4.3.0-1mamba
- automatic version update by autodist

* Mon Apr 08 2024 Automatic Build System <autodist@openmamba.org> 4.2.0-1mamba
- automatic version update by autodist

* Mon Mar 04 2024 Automatic Build System <autodist@openmamba.org> 4.1.0-1mamba
- automatic version update by autodist

* Mon Feb 19 2024 Automatic Build System <autodist@openmamba.org> 4.0.2-1mamba
- automatic version update by autodist

* Mon Jan 29 2024 Automatic Build System <autodist@openmamba.org> 4.0.1-1mamba
- automatic version update by autodist

* Fri Jan 19 2024 Automatic Build System <autodist@openmamba.org> 4.0.0-1mamba
- automatic version update by autodist

* Sun Dec 24 2023 Automatic Build System <autodist@mambasoft.it> 3.17.4-1mamba
- automatic version update by autodist

* Mon Dec 18 2023 Automatic Build System <autodist@mambasoft.it> 3.17.3-1mamba
- automatic version update by autodist

* Sun Dec 10 2023 Automatic Build System <autodist@mambasoft.it> 3.17.2-1mamba
- automatic version update by autodist

* Tue Nov 14 2023 Automatic Build System <autodist@mambasoft.it> 3.17.1-1mamba
- automatic version update by autodist

* Sun Oct 29 2023 Automatic Build System <autodist@mambasoft.it> 3.17.0-1mamba
- automatic version update by autodist

* Wed Oct 11 2023 Automatic Build System <autodist@mambasoft.it> 3.16.4-1mamba
- automatic version update by autodist

* Sun Oct 08 2023 Automatic Build System <autodist@mambasoft.it> 3.16.3-1mamba
- automatic version update by autodist

* Mon Sep 25 2023 Automatic Build System <autodist@mambasoft.it> 3.16.2-1mamba
- automatic version update by autodist

* Mon Sep 18 2023 Automatic Build System <autodist@mambasoft.it> 3.16.1-1mamba
- automatic version update by autodist

* Mon Sep 11 2023 Automatic Build System <autodist@mambasoft.it> 3.16.0-1mamba
- automatic version update by autodist

* Mon Sep 04 2023 Automatic Build System <autodist@mambasoft.it> 3.15.5-1mamba
- automatic version update by autodist

* Sun Aug 27 2023 Automatic Build System <autodist@mambasoft.it> 3.15.4-1mamba
- automatic version update by autodist

* Sat Aug 26 2023 Automatic Build System <autodist@mambasoft.it> 3.15.3-1mamba
- automatic version update by autodist

* Mon Aug 21 2023 Automatic Build System <autodist@mambasoft.it> 3.15.2-1mamba
- automatic version update by autodist

* Mon Aug 14 2023 Automatic Build System <autodist@mambasoft.it> 3.15.1-1mamba
- automatic version update by autodist

* Mon Aug 07 2023 Automatic Build System <autodist@mambasoft.it> 3.15.0-1mamba
- automatic version update by autodist

* Sun Jul 30 2023 Automatic Build System <autodist@mambasoft.it> 3.14.0-1mamba
- automatic version update by autodist

* Mon Jul 24 2023 Automatic Build System <autodist@mambasoft.it> 3.13.0-1mamba
- automatic version update by autodist

* Mon Jul 17 2023 Automatic Build System <autodist@mambasoft.it> 3.12.2-1mamba
- automatic version update by autodist

* Mon Jul 10 2023 Automatic Build System <autodist@mambasoft.it> 3.12.1-1mamba
- automatic version update by autodist

* Mon Jul 03 2023 Automatic Build System <autodist@mambasoft.it> 3.12.0-1mamba
- automatic version update by autodist

* Wed Jun 28 2023 Automatic Build System <autodist@mambasoft.it> 3.11.1-1mamba
- automatic version update by autodist

* Sat Jun 24 2023 Automatic Build System <autodist@mambasoft.it> 3.11.0-1mamba
- automatic version update by autodist

* Mon Jun 19 2023 Automatic Build System <autodist@mambasoft.it> 3.10.0-1mamba
- automatic version update by autodist

* Mon Jun 05 2023 Automatic Build System <autodist@mambasoft.it> 3.9.1-1mamba
- automatic version update by autodist

* Mon May 22 2023 Automatic Build System <autodist@mambasoft.it> 3.9.0-1mamba
- automatic version update by autodist

* Mon Apr 24 2023 Automatic Build System <autodist@mambasoft.it> 3.8.1-1mamba
- automatic version update by autodist

* Mon Apr 17 2023 Automatic Build System <autodist@mambasoft.it> 3.8.0-1mamba
- automatic version update by autodist

* Wed Apr 12 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 3.7.1-2mamba
- fix cross obsoletes

* Mon Apr 10 2023 Automatic Build System <autodist@mambasoft.it> 3.7.1-1mamba
- automatic version update by autodist

* Tue Mar 28 2023 Automatic Build System <autodist@mambasoft.it> 3.7.0-1mamba
- automatic version update by autodist

* Sun Mar 19 2023 Automatic Build System <autodist@mambasoft.it> 3.6.0-1mamba
- automatic version update by autodist

* Mon Mar 13 2023 Automatic Build System <autodist@mambasoft.it> 3.5.2-1mamba
- automatic version update by autodist

* Sun Mar 05 2023 Automatic Build System <autodist@mambasoft.it> 3.5.1-1mamba
- automatic version update by autodist

* Tue Feb 28 2023 Automatic Build System <autodist@mambasoft.it> 3.5.0-1mamba
- automatic version update by autodist

* Mon Feb 13 2023 Automatic Build System <autodist@mambasoft.it> 3.4.1-1mamba
- automatic version update by autodist

* Tue Feb 07 2023 Automatic Build System <autodist@mambasoft.it> 3.4.0-1mamba
- automatic version update by autodist

* Mon Jan 23 2023 Automatic Build System <autodist@mambasoft.it> 3.3.0-1mamba
- automatic version update by autodist

* Wed Jan 18 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.1-1mamba
- update to 3.2.1

* Fri May 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.13-2mamba
- python 2.7 mass rebuild

* Fri Dec 31 2010 Automatic Build System <autodist@mambasoft.it> 1.13-1mamba
- automatic update by autodist

* Thu Oct 14 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.12-4mamba
- updated the patch to git version 20100718 to fix all DeprecationWarnings

* Wed Oct 13 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.12-3mamba
- added a patch to fix a python DeprecationWarning

* Tue Oct 12 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.12-2mamba
- package renamed from python-pyPdf to python-pypdf
- added missing build requirements
- changed arch to noarch

* Fri May 15 2009 gil <puntogil@libero.it> 1.12-1mamba
- package created by autospec
